<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 https://maven.apache.org/xsd/maven-4.0.0.xsd">

    <modelVersion>4.0.0</modelVersion>

    <groupId>com.hdkj</groupId>
    <artifactId>fhzg</artifactId>
    <version>${revision}</version>

    <name>fhzg</name>
    <description>fhzg</description>

    <modules>
        <module>api</module>
        <module>common</module>
        <module>services</module>
    </modules>

    <packaging>pom</packaging>

    <properties>
        <revision>0.0.1-SNAPSHOT</revision>
        <java.version>1.8</java.version>
        <maven.compiler.source>8</maven.compiler.source>
        <maven.compiler.target>8</maven.compiler.target>
        <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
        <project.reporting.outputEncoding>UTF-8</project.reporting.outputEncoding>
        <spring-boot.version>2.3.12.RELEASE</spring-boot.version>
        <spring-cloud-alibaba.version>2.2.6.RELEASE</spring-cloud-alibaba.version>
        <spring-cloud.version>Hoxton.SR12</spring-cloud.version>
        <druid.version>1.2.24</druid.version>
        <fastjson.version>2.0.53</fastjson.version>
        <hutool.version>5.8.34</hutool.version>
        <redisson.version>3.14.1</redisson.version>
        <log4j.version>2.17.2</log4j.version>
        <mybatis-plus.version>3.5.9</mybatis-plus.version>
        <dubbo.version>3.3.0</dubbo.version>
        <dynamic-ds.version>4.3.1</dynamic-ds.version>
        <org.mapstruct.version>1.4.2.Final</org.mapstruct.version>
        <rocketmq.version>2.0.4</rocketmq.version>
        <jpa.version>1.0</jpa.version>
        <easyexcel-alibaba>2.2.8</easyexcel-alibaba>
        <transmittable-thread-local.version>2.14.4</transmittable-thread-local.version>
        <pagehelper.boot.version>2.0.0</pagehelper.boot.version>
        <jjwt.version>0.9.1</jjwt.version>
        <commons.io.version>2.13.0</commons.io.version>
        <poi.version>4.1.2</poi.version>
        <spring-statemachine.version>2.3.1</spring-statemachine.version>
        <dynamic-datasource-spring-boot-starter.version>3.5.1</dynamic-datasource-spring-boot-starter.version>
        <io.jsonwebtoken.jjwt.version>0.9.1</io.jsonwebtoken.jjwt.version>
        <commons-fileupload>1.3.3</commons-fileupload>
        <reflections.version>0.9.11</reflections.version>
        <poi-tl.version>1.10.1</poi-tl.version>

        <skipTests>true</skipTests>
    </properties>

    <dependencies>
        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-configuration-processor</artifactId>
            <scope>provided</scope>
        </dependency>
        <dependency>
            <groupId>org.projectlombok</groupId>
            <artifactId>lombok</artifactId>
        </dependency>
        <dependency>
            <groupId>org.apache.commons</groupId>
            <artifactId>commons-lang3</artifactId>
        </dependency>
        <dependency>
            <groupId>org.mapstruct</groupId>
            <artifactId>mapstruct</artifactId>
            <version>${org.mapstruct.version}</version>
        </dependency>
        <dependency>
            <groupId>org.mapstruct</groupId>
            <artifactId>mapstruct-processor</artifactId>
            <version>${org.mapstruct.version}</version>
        </dependency>
    </dependencies>

    <dependencyManagement>
        <dependencies>
            <dependency>
                <groupId>com.hdkj</groupId>
                <artifactId>common-core</artifactId>
                <version>${revision}</version>
            </dependency>
            <dependency>
                <groupId>com.hdkj</groupId>
                <artifactId>ruoyi-common-core</artifactId>
                <version>${revision}</version>
            </dependency>
            <dependency>
                <groupId>com.hdkj</groupId>
                <artifactId>load-transfer-si-api</artifactId>
                <version>${revision}</version>
            </dependency>
            <dependency>
                <groupId>com.hdkj</groupId>
                <artifactId>ruoyi-api-system</artifactId>
                <version>${revision}</version>
            </dependency>
            <dependency>
                <groupId>com.hdkj</groupId>
                <artifactId>load-transfer-mq-api</artifactId>
                <version>${revision}</version>
            </dependency>
            <dependency>
                <groupId>com.hdkj</groupId>
                <artifactId>ruoyi-common-security</artifactId>
                <version>${revision}</version>
            </dependency>
            <dependency>
                <groupId>com.hdkj</groupId>
                <artifactId>ruoyi-common-redis</artifactId>
                <version>${revision}</version>
            </dependency>
            <dependency>
                <groupId>com.hdkj</groupId>
                <artifactId>ruoyi-common-third</artifactId>
                <version>${revision}</version>
            </dependency>
            <dependency>
                <groupId>com.hdkj</groupId>
                <artifactId>ruoyi-common-log</artifactId>
                <version>${revision}</version>
            </dependency>
<!--            <dependency>-->
<!--                <groupId>com.hdkj</groupId>-->
<!--                <artifactId>ruoyi-common-swagger</artifactId>-->
<!--                <version>${revision}</version>-->
<!--            </dependency>-->
            <dependency>
                <groupId>org.springframework.cloud</groupId>
                <artifactId>spring-cloud-dependencies</artifactId>
                <version>${spring-cloud.version}</version>
                <type>pom</type>
                <scope>import</scope>
            </dependency>
            <dependency>
                <groupId>org.springframework.boot</groupId>
                <artifactId>spring-boot-dependencies</artifactId>
                <version>${spring-boot.version}</version>
                <type>pom</type>
                <scope>import</scope>
            </dependency>
            <dependency>
                <groupId>com.alibaba.cloud</groupId>
                <artifactId>spring-cloud-alibaba-dependencies</artifactId>
                <version>${spring-cloud-alibaba.version}</version>
                <type>pom</type>
                <scope>import</scope>
            </dependency>
            <dependency>
                <groupId>org.springframework.statemachine</groupId>
                <artifactId>spring-statemachine-bom</artifactId>
                <version>${spring-statemachine.version}</version>
                <type>pom</type>
                <scope>import</scope>
            </dependency>

            <dependency>
                <groupId>org.apache.dubbo</groupId>
                <artifactId>dubbo-bom</artifactId>
                <version>${dubbo.version}</version>
                <type>pom</type>
                <scope>import</scope>
            </dependency>

            <dependency>
                <groupId>com.baomidou</groupId>
                <artifactId>mybatis-plus-boot-starter</artifactId>
                <version>${mybatis-plus.version}</version>
            </dependency>
            <dependency>
                <groupId>cn.hutool</groupId>
                <artifactId>hutool-all</artifactId>
                <version>${hutool.version}</version>
            </dependency>
            <dependency>
                <groupId>com.alibaba.fastjson2</groupId>
                <artifactId>fastjson2</artifactId>
                <version>${fastjson.version}</version>
            </dependency>
<!--            <dependency>-->
<!--                <groupId>org.apache.rocketmq</groupId>-->
<!--                <artifactId>rocketmq-spring-boot-starter</artifactId>-->
<!--                <version>${rocketmq.version}</version>-->
<!--            </dependency>-->
            <dependency>
                <groupId>io.jsonwebtoken</groupId>
                <artifactId>jjwt</artifactId>
                <version>${io.jsonwebtoken.jjwt.version}</version>
            </dependency>
            <dependency>
                <groupId>org.reflections</groupId>
                <artifactId>reflections</artifactId>
                <version>${reflections.version}</version>
            </dependency>
            <dependency>
                <groupId>com.deepoove</groupId>
                <artifactId>poi-tl</artifactId>
                <version>${poi-tl.version}</version>
                <scope>compile</scope>
            </dependency>
            <dependency>
                <groupId>com.aliyun.openservices</groupId>
                <artifactId>ons-client</artifactId>
                <version>1.8.8.5.Final</version>
            </dependency>
            <!--&lt;!&ndash; 线程传递值 &ndash;&gt;
            <dependency>
                <groupId>com.alibaba</groupId>
                <artifactId>transmittable-thread-local</artifactId>
                <version>${transmittable-thread-local.version}</version>
            </dependency>
            &lt;!&ndash; JWT &ndash;&gt;
            <dependency>
                <groupId>io.jsonwebtoken</groupId>
                <artifactId>jjwt</artifactId>
                <version>${jjwt.version}</version>
            </dependency>
            &lt;!&ndash; pagehelper 分页插件 &ndash;&gt;
            <dependency>
                <groupId>com.github.pagehelper</groupId>
                <artifactId>pagehelper-spring-boot-starter</artifactId>
                <version>${pagehelper.boot.version}</version>
            </dependency>
            &lt;!&ndash; io常用工具类 &ndash;&gt;
            <dependency>
                <groupId>commons-io</groupId>
                <artifactId>commons-io</artifactId>
                <version>${commons.io.version}</version>
            </dependency>

            &lt;!&ndash; excel工具 &ndash;&gt;
            <dependency>
                <groupId>org.apache.poi</groupId>
                <artifactId>poi-ooxml</artifactId>
                <version>${poi.version}</version>
            </dependency>-->

            <!-- Mysql Connector -->
            <dependency>
                <groupId>com.mysql</groupId>
                <artifactId>mysql-connector-j</artifactId>
                <version>8.1.0</version>
            </dependency>

            <dependency>
                <groupId>com.github.xiaoymin</groupId>
                <artifactId>knife4j-spring-boot-starter</artifactId>
                <version>2.0.9</version>
            </dependency>

            <dependency>
                <groupId>commons-fileupload</groupId>
                <artifactId>commons-fileupload</artifactId>
                <version>${commons-fileupload}</version>
            </dependency>

            <dependency>
                <groupId>com.aliyun.oss</groupId>
                <artifactId>aliyun-sdk-oss</artifactId>
                <version>3.8.0</version>
            </dependency>
            <dependency>
                <groupId>com.hdkj.components</groupId>
                <artifactId>poi-spring-boot-starter</artifactId>
                <version>1.0.0.082823_Alpha</version>
            </dependency>

        </dependencies>
    </dependencyManagement>


</project>
